API references
Search documentation... ⌘K
API references
Merchant API

Remove a Contact

Remove a contact by its ID. The contactid can be either the internal UID (starting with 'ctc') or the external ID provided when the contact was created.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/remove-contact HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
contact_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
contact_id string

Required. The contact ID (either internal UID or external ID) to retrieve.

Errors specific to this endpoint
NOT_FOUND

No contact found with the provided contact_id. The contact may not exist or may belong to a different merchant.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.